<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Vivienda</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:growl id="msj"/>
                <p:fieldset legend="Agregar Vivienda">
                    <h:form id="form">
                        <h:panelGrid columns="2">
                            <p:outputLabel value="N° de habitantes"/>
                            <p:inputText value="#{viviendaController.vivienda.habitante}"/>

                            <p:outputLabel value="N° de habitaciones"/>
                            <p:inputText value="#{viviendaController.vivienda.habitacion}"/>

                            <p:outputLabel value="N° de baños"/>
                            <p:inputText value="#{viviendaController.vivienda.banio}"/>
                            <div class="registrar"> 
                                <p:commandButton value="Registrar" rendered="#{viviendaController.vivienda.id==0}" actionListener="#{viviendaController.insertar()}" update="form :tabla :msj"/>
                            </div>
                            <p:commandButton value="Cancelar" rendered="#{viviendaController.vivienda.id!=0}" actionListener="#{viviendaController.init()}" update="form :tabla :msj"/>
                            <p:commandButton value="Actualizar" rendered="#{viviendaController.vivienda.id!=0}" actionListener="#{viviendaController.editar()}" update="form :tabla :msj"/>
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
                <br></br>
                <p:fieldset legend="Listado de Viviendas">
                    <h:form id="tabla">
                        <p:dataTable value="#{viviendaController.listavivienda}" var="vi" paginator="true" rows="5" style="margin: auto">
                            <p:column headerText="N° de habitantes">
                                <p:outputLabel value="#{vi.habitante}"/>
                            </p:column>
                            <p:column headerText="N° de habitaciones">
                                <p:outputLabel value="#{vi.habitacion}"/>
                            </p:column>

                            <p:column headerText="N° de baños">
                                <p:outputLabel value="#{vi.banio}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton value="Eliminar" actionListener="#{viviendaController.eliminar(vi)}" update=":tabla :msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton value="Editar" actionListener="#{viviendaController.consultarById(vi)}" update=":form"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>  

            </ui:define>
        </ui:composition>
    </h:body>
</html>

